summaryrefslogtreecommitdiff
path: root/stwcs
diff options
context:
space:
mode:
authorJoe Hunkeler <jhunk@stsci.edu>2016-03-23 17:00:53 -0400
committerJoseph Hunkeler <jhunk@stsci.edu>2016-04-19 11:17:20 -0400
commitf46565fe6f3eefd6a8eb1cec7179164f2800b042 (patch)
treeb57ece5acd84c9a8c9235818b975a439c8ae3df9 /stwcs
downloadastroconda-dev-f46565fe6f3eefd6a8eb1cec7179164f2800b042.tar.gz
Initial commit
Diffstat (limited to 'stwcs')
-rw-r--r--stwcs/bld.bat3
-rw-r--r--stwcs/build.sh30
-rw-r--r--stwcs/meta.yaml27
3 files changed, 60 insertions, 0 deletions
diff --git a/stwcs/bld.bat b/stwcs/bld.bat
new file mode 100644
index 0000000..b290566
--- /dev/null
+++ b/stwcs/bld.bat
@@ -0,0 +1,3 @@
+
+python setup.py install
+if errorlevel 1 exit 1 \ No newline at end of file
diff --git a/stwcs/build.sh b/stwcs/build.sh
new file mode 100644
index 0000000..92417fa
--- /dev/null
+++ b/stwcs/build.sh
@@ -0,0 +1,30 @@
+
+function get_py_version() {
+python --version 2>&1| awk '{sub(/-.*/,"",$2);print $2}'
+}
+export -f get_py_version
+
+function set_py3k() {
+version=`get_py_version`
+major=`echo $version | cut -d '.' -f 1`
+minor=`echo $version | cut -d '.' -f 2`
+hotfix=`echo $version | cut -d '.' -f 3`
+if (( major > 2 )); then
+export PY3K=1
+else
+export PY3K=0
+fi
+}
+export -f set_py3k
+
+set_py3k
+
+
+pip install --no-deps --upgrade --force d2to1
+
+sed -i -e "s|use_2to3=True|use_2to3=False|" setup.py
+if [ $PY3K -ne 0 ] ; then
+sed -i -e "s|stsci.distutils.hooks.tag_svn_revision|#removed|" setup.cfg
+fi
+
+python setup.py install || exit 1 \ No newline at end of file
diff --git a/stwcs/meta.yaml b/stwcs/meta.yaml
new file mode 100644
index 0000000..cb720b0
--- /dev/null
+++ b/stwcs/meta.yaml
@@ -0,0 +1,27 @@
+about:
+ home: https://github.com/spacetelescope/stwcs
+ license: BSD
+ summary: stwcs
+build:
+ number: '0'
+package:
+ name: stwcs
+ version: 1.2.3
+requirements:
+ build:
+ - astropy >=1.1
+ - stsci.distutils
+ - stsci.tools
+ - setuptools
+ - numpy x.x
+ - python x.x
+ run:
+ - astropy >=1.1
+ - stsci.tools
+ - numpy x.x
+ - python x.x
+source:
+ git_url: https://github.com/spacetelescope/stwcs
+test:
+ imports:
+ - stwcs